#ifndef __SHADERENV_H
#define __SHADERENV_H


////////////
//-- ssao + gi parameters

#define NUM_SAMPLES 8
//#define NUM_SAMPLES 16

// for quadratic falloff
//#define SAMPLE_INTENSITY 0.1f
#define SAMPLE_INTENSITY 0.07f

#define SAMPLE_RADIUS 8e-1f

//#define DISTANCE_SCALE 1e-1f
#define DISTANCE_SCALE 5e-2f

#define ILLUM_INTENSITY 8e-2f

#define VIEW_CORRECTION_SCALE 1.0f


/////////
//-- shadowing

#define NUM_PCF_TABS 16


//////////
//-- Tone mapping

#define MINLOGLUM (-10.0f)
#define MAXLOGLUM 10.0f

#define INV_LOGLUM_RANGE 0.05f
#define LOGLUM_RANGE 20.0f

#define MAX_LOD_LEVEL 10

#define MIN_DEPTH_DIFF 1e-6f
// burnout
#define WHITE_LUMINANCE 3e4f


///////////////////

#define NUM_DOWNSAMPLES 16

#define NUM_SSAO_FILTERSAMPLES 100

#endif // __SHADERENV_H